
%global meadversion 1.0.2
%global namedversion 1.0.2.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 4
%global namedversionrel redhat-2

# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%global alternativespriority 030000
%global apiname servlet
%global apiversion 3.0
%global apiversionu 3_0
%global plainversion %{version}%{?reltag}
%global apigroupid javax.servlet
%global apiartifactid %{apiname}-api

%define section free

%define maven_version 1.0.2.Final-redhat-2

Name:           jboss-%{apiname}-api_%{apiversion}_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java API for XML-Based RPC (JAX-RPC) %{apiversion}
License:        LGPLv2+
URL:            http://fisheye.jboss.org/browse/JBossAS/projects/specs/tags/jboss-%{apiname}-api_%{apiversion}_spec-%{plainversion}
Group:          Development/Java

%if %with mead
Source100: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2-scm-sources.zip
Source102: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2-javadoc.jar
Source103: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.pom
Source104: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar
Source105: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2-sources.jar
Source106: jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2-project-sources.tar.gz
%endif

Provides:       %{apiname}_%{apiversionu}_api
Provides:       %{apiname}_api = 0:%{apiversion}
Requires(preun): %{_sbindir}/update-alternatives
Requires(post): %{_sbindir}/update-alternatives
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JAX-RPC %{apiversion} API classes.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}

# jar alternatives
/bin/touch %{buildroot}%{_javadir}/%{apiname}_api.jar
/bin/touch %{buildroot}%{_javadir}/%{apiname}_%{apiversionu}_api.jar

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# pom alternatives
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
/bin/touch %{buildroot}%{_mavenpomdir}/JPP-%{apiname}_api.pom

# depmaps
%add_to_maven_depmap org.jboss.spec.javax.servlet jboss-%{apiname}-api_%{apiversion}_spec %{namedversion} JPP jboss-%{apiname}-api_%{apiversion}_spec
%add_to_maven_depmap %{apigroupid} %{apiartifactid} %{apiversion} JPP jboss-%{apiname}-api_%{apiversion}_spec

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_api.jar %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_javadir}/%{apiname}_%{apiversionu}_api.jar %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_api.pom %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%{_sbindir}/update-alternatives --install %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom %{alternativespriority}
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove %{apiname}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api %{_javadir}/jboss-%{apiname}-api_%{apiversion}_spec.jar
    %{_sbindir}/update-alternatives --remove %{apiname}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
    %{_sbindir}/update-alternatives --remove %{apiname}_%{apiversionu}_api_pom %{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
fi

%postun
%update_maven_depmap


%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-%{namedversion}-sources.jar
%{_javadir}*/jboss-%{apiname}-api_%{apiversion}_spec-sources.jar
%ghost %{_javadir}*/%{apiname}_%{apiversionu}_api.jar
%ghost %{_javadir}*/%{apiname}_api.jar
%{_mavenpomdir}/JPP-jboss-%{apiname}-api_%{apiversion}_spec.pom
%ghost %{_mavenpomdir}/JPP-%{apiname}_%{apiversionu}_api.pom
%ghost %{_mavenpomdir}/JPP-%{apiname}_api.pom
%{_mavendepmapfragdir}/%{name}

%changelog
* Wed Jan 07 2015 Yong Yang <yyang@redhat.com> - 1.0.2-4.Final_redhat_2.1
- Build with -redhat-2

* Wed Jan 07 2015 Yong Yang <yyang@redhat.com> - 1.0.2-3.Final_redhat_1.1
- Wrap the redhat-2 version

* Mon Dec 15 2014 Yong Yang <yyang@redhat.com> - 0:1.0.2-2.Final_redhat_2
- Rebuild for 6.4

* Wed Feb 06 2013 Yong Yang <yyang@redhat.com> - 0:1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-11.Final_redhat_2
- Rebuild for MD5

* Wed Sep 12 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-10
- remove source inclusion in mead mode
- use _mavenpomdir macro

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-9
- fix pom alternatives
- fix file list

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-8.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-7.Final_redhat_2.1
- Rebuild unsigned

* Wed Aug 01 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-7
- fix update-alternatives call in %%post

* Wed Aug 01 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-6.Final_redhat_1.1
- Rebuild unsigned

* Wed Jul 25 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-6
- fix typos in %%post

* Fri Jul 20 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-5
- add back alternatives

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-4.Final_redhat_1.1
- Rebuild using cache signing

* Thu Jul 05 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-4
- fix bad requires
- fix broken maven support
- fix macro in comment
- remove javadoc jars to javadoc package
- fix Release tag

* Tue Jun 12 2012 David Walluck <dwalluck@redhat.com> 0:1.0.1-3
- enable mead option
- remove update-alternatives Requires from javadoc pkg
- fix depmap
- remove ghost from file list
- don't own javadoc dir in main pkg

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Remove javadocs from main package and into their own RPM

* Fri Apr 20 2012 Lin Gao <lgao@redhat.com> 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Fri Mar 16 2012 Hui Wang <huwang@redhat.com> 0:1.0.0-9.Final_redhat_1.1
- New wrapper
- Fix installing path
- Fix release tag

* Thu Feb 09 2012 Lin Gao <lgao@redhat.com> 0:1.0.0-8
- re vman for pom patch
- rebuild for new sign key

* Wed Feb 01 2012 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-6
- Remove dependency on servlet_2_5_api

* Mon Jun 27 2011 Yong Yang <yyang@redhat.com> 0:1.0.0-5
- Fix relocation pom

* Mon Jun 27 2011 Yong Yang <yyang@redhat.com> 0:1.0.0-4
- Add relocation pom

* Fri Jun 24 2011 Yong Yang <yyang@redhat.com> 0:1.0.0-3
- Fix repolib location
- Fix pom name in repolib


* Fri Jun 24 2011 Yong Yang <yyang@redhat.com> 0:1.0.0-2
- First build

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
